summaryrefslogtreecommitdiff
path: root/libre/liferea-libre
diff options
context:
space:
mode:
authorNicolás Reynolds <apoyosis@correo.inta.gob.ar>2011-06-23 13:22:50 -0300
committerNicolás Reynolds <apoyosis@correo.inta.gob.ar>2011-06-23 13:22:50 -0300
commit1ae2620834322dc99e516bae97b601a6fea8eef5 (patch)
tree58c02292eb32def33c3ef8c57d94b507db5b66bc /libre/liferea-libre
parent56fd45c424a76aa11cc8341e67dd7688e8c85e55 (diff)
libre/liferea-libre-1.6.5-3
Diffstat (limited to 'libre/liferea-libre')
-rw-r--r--libre/liferea-libre/PKGBUILD56
-rw-r--r--libre/liferea-libre/libnotify-0.7.patch21
-rw-r--r--libre/liferea-libre/liferea.install21
-rw-r--r--libre/liferea-libre/remove-non-free-suggestions.patch31
4 files changed, 129 insertions, 0 deletions
diff --git a/libre/liferea-libre/PKGBUILD b/libre/liferea-libre/PKGBUILD
new file mode 100644
index 000000000..044663626
--- /dev/null
+++ b/libre/liferea-libre/PKGBUILD
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric@archlinux.org>
+# Contributor: bitlord
+
+pkgbasename=liferea
+pkgname=liferea-libre
+pkgver=1.6.5
+pkgrel=3
+pkgdesc="A desktop news aggregator for online news feeds and weblogs"
+arch=('i686' 'x86_64')
+url="http://liferea.sourceforge.net/"
+provides=("liferea=$pkgver")
+replaces=('liferea')
+conflicts=('liferea')
+license=('GPL')
+depends=('gconf' 'libwebkit' 'libxslt' 'libglade' 'sqlite3' 'hicolor-icon-theme')
+makedepends=('pkg-config' 'intltool' 'lua' 'libnotify')
+optdepends=('lua: for lua scripting support'
+ 'libnotify: for notification support')
+options=('!libtool' '!emptydirs')
+install=liferea.install
+source=(http://repo.parabolagnulinux.org/other/$pkgname-$pkgver.tar.gz
+ libnotify-0.7.patch
+ remove-non-free-suggestions.patch)
+md5sums=('f2d0ae5fb9f763451ba8b9fe2216de9c'
+ 'fca97e3316c1c51e0179c4c7dcce47a2'
+ '380284dc0b54ab9488f0659e832e59fa')
+
+# source PKGBUILD ; mksource
+mksource() {
+ wget http://downloads.sourceforge.net/sourceforge/liferea/liferea-${pkgver}.tar.gz \
+ -O - | tar xzf -
+
+ pushd liferea-$pkgver >/dev/null
+ patch -Np1 -i "../remove-non-free-suggestions.patch" || return 1
+ popd >/dev/null
+
+ tar cvzf $pkgname-$pkgver.tar.gz liferea-$pkgver/
+ rm -rvf liferea-$pkgver/
+}
+
+build() {
+ cd "${srcdir}/liferea-${pkgver}"
+ patch -Np1 -i "$srcdir/libnotify-0.7.patch"
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --disable-schemas-install
+ make
+}
+
+package() {
+ cd "${srcdir}/liferea-${pkgver}"
+ make DESTDIR="${pkgdir}" install
+
+ install -d "${pkgdir}/usr/share/gconf/schemas"
+ gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" "${pkgdir}"/etc/gconf/schemas/*.schemas
+ rm -f "${pkgdir}"/etc/gconf/schemas/*.schemas
+}
diff --git a/libre/liferea-libre/libnotify-0.7.patch b/libre/liferea-libre/libnotify-0.7.patch
new file mode 100644
index 000000000..6dbbffb87
--- /dev/null
+++ b/libre/liferea-libre/libnotify-0.7.patch
@@ -0,0 +1,21 @@
+diff -u -Nr liferea-1.6.5/src/notification/libnotify.c liferea-1.6.5-libnotify/src/notification/libnotify.c
+--- liferea-1.6.5/src/notification/libnotify.c 2009-06-20 20:33:19.000000000 +0200
++++ liferea-1.6.5-libnotify/src/notification/libnotify.c 2011-03-06 23:53:45.783336455 +0100
+@@ -150,7 +150,7 @@
+ // notify_notification_update ( n, node_get_title(node_p), labelText_now_p, NULL);
+ // notify_notification_clear_actions(n);
+
+- n = notify_notification_new (node_get_title(node_p), labelText_now_p, NULL, NULL);
++ n = notify_notification_new (node_get_title(node_p), labelText_now_p, NULL);
+
+ notify_notification_set_icon_from_pixbuf (n,node_get_icon(node_p));
+
+@@ -244,7 +244,7 @@
+
+ labelSummary_p = g_strdup_printf (ngettext ("%s has %d new / updated headline\n", "%s has %d new / updated headlines\n", item_count),
+ node_get_title (node), item_count);
+- n = notify_notification_new ( _("Feed Update"), labelSummary_p, NULL, NULL);
++ n = notify_notification_new ( _("Feed Update"), labelSummary_p, NULL);
+ g_free(labelSummary_p);
+
+ notify_notification_set_icon_from_pixbuf (n, node_get_icon (node));
diff --git a/libre/liferea-libre/liferea.install b/libre/liferea-libre/liferea.install
new file mode 100644
index 000000000..369a55727
--- /dev/null
+++ b/libre/liferea-libre/liferea.install
@@ -0,0 +1,21 @@
+pkgname=liferea-libre
+post_install() {
+ usr/sbin/gconfpkg --install ${pkgname}
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+pre_upgrade() {
+ pre_remove $1
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ usr/sbin/gconfpkg --uninstall ${pkgname}
+}
+
+post_remove() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
diff --git a/libre/liferea-libre/remove-non-free-suggestions.patch b/libre/liferea-libre/remove-non-free-suggestions.patch
new file mode 100644
index 000000000..0230fdb78
--- /dev/null
+++ b/libre/liferea-libre/remove-non-free-suggestions.patch
@@ -0,0 +1,31 @@
+--- liferea-1.6.5/src/ui/ui_prefs.c_orig 2011-06-23 01:33:39.761555322 +0200
++++ liferea-1.6.5/src/ui/ui_prefs.c 2011-06-23 01:38:02.121556890 +0200
+@@ -76,24 +76,10 @@
+ NULL, NULL
+ },
+ {
+- /* tested with SeaMonkey 1.0.6 */
+- "mozilla", "Mozilla", "mozilla %s",
+- NULL, "mozilla -remote openURL(%s)",
+- NULL, "mozilla -remote 'openURL(%s,new-window)'",
+- NULL, "mozilla -remote 'openURL(%s,new-tab)'"
+- },
+- {
+- /* tested with Firefox 1.5 and 2.0 */
+- "firefox", "Firefox","firefox \"%s\"",
+- NULL, "firefox -a firefox -remote \"openURL(%s)\"",
+- NULL, "firefox -a firefox -remote 'openURL(%s,new-window)'",
+- NULL, "firefox -a firefox -remote 'openURL(%s,new-tab)'"
+- },
+- {
+- "opera", "Opera","opera \"%s\"",
+- "opera \"%s\"", "opera -remote \"openURL(%s)\"",
+- "opera -newwindow \"%s\"", NULL,
+- "opera -newpage \"%s\"", NULL
++ "icecat", "IceCat","icecat \"%s\"",
++ NULL, "icecat -a icecat -remote \"openURL(%s)\"",
++ NULL, "icecat -a icecat -remote 'openURL(%s,new-window)'",
++ NULL, "icecat -a icecat -remote 'openURL(%s,new-tab)'"
+ },
+ {
+ "epiphany", "Epiphany","epiphany \"%s\"",